# H323H248ServiceControl Class Reference

`#include <svcctrl.h>`

Inheritance diagram for H323H248ServiceControl:

[legend]
Collaboration diagram for H323H248ServiceControl:
[legend]

## Public Member Functions

Construction
| H323H248ServiceControl ()
| H323H248ServiceControl (const H225_ServiceControlDescriptor &contents)
Operations
virtual PBoolean | OnReceivedPDU (const H225_ServiceControlDescriptor &contents)
virtual PBoolean | OnSendingPDU (H225_ServiceControlDescriptor &contents) const
virtual PBoolean | OnReceivedPDU (const H248_SignalsDescriptor &descriptor)
virtual PBoolean | OnSendingPDU (H248_SignalsDescriptor &descriptor) const
virtual PBoolean | OnReceivedPDU (const H248_SignalRequest &request)=0
virtual PBoolean | OnSendingPDU (H248_SignalRequest &request) const =0

## Detailed Description

This is a base class for H.323 Service Control Session handling for H.248.

## Constructor & Destructor Documentation

H323H248ServiceControl::H323H248ServiceControl | ( |  | ) |

Create a new handler for a Service Control.

H323H248ServiceControl::H323H248ServiceControl | ( | const H225_ServiceControlDescriptor & | contents | ) |

Create a new handler for a Service Control, initialise to PDU.

## Member Function Documentation

virtual PBoolean H323H248ServiceControl::OnReceivedPDU | ( | const H248_SignalRequest & | request | ) | `[pure virtual]`

Handle a received PDU. Update in the internal state from the received PDU.

Default behaviour is pure.

virtual PBoolean H323H248ServiceControl::OnReceivedPDU | ( | const H248_SignalsDescriptor & | descriptor | ) | `[virtual]`

Handle a received PDU. Update in the internal state from the received PDU.

Default behaviour calls the H248_SignalRequest version of OnReceivedPDU() for every element in H248_SignalsDescriptor.

virtual PBoolean H323H248ServiceControl::OnReceivedPDU | ( | const H225_ServiceControlDescriptor & | contents | ) | `[virtual]`

Handle a received PDU. Update in the internal state from the received PDU.

Default behaviour converts to pdu to H248_SignalsDescriptor and calls that version of OnReceivedPDU().

Implements H323ServiceControlSession.

virtual PBoolean H323H248ServiceControl::OnSendingPDU | ( | H248_SignalRequest & | request | ) | const`[pure virtual]`

Handle a sent PDU. Set the PDU fields from in the internal state.

Default behaviour is pure.

virtual PBoolean H323H248ServiceControl::OnSendingPDU | ( | H248_SignalsDescriptor & | descriptor | ) | const`[virtual]`

Handle a sent PDU. Set the PDU fields from in the internal state.

Default behaviour calls the H248_SignalRequest version of OnSendingPDU() and appends it to the H248_SignalsDescriptor.

virtual PBoolean H323H248ServiceControl::OnSendingPDU | ( | H225_ServiceControlDescriptor & | contents | ) | const`[virtual]`

Handle a sent PDU. Set the PDU fields from in the internal state.

Default behaviour calls the H248_SignalsDescriptor version of OnSendingPDU() and converts that to the contents pdu.

Implements H323ServiceControlSession.

The documentation for this class was generated from the following file:

- svcctrl.h